ana(conda) windows packaging

Having trouble installing or compiling FreeCAD? Get help here.
looo
Posts: 764
Joined: Mon Nov 11, 2013 5:29 pm

Re: ana(conda) windows packaging

Postby looo » Mon Mar 27, 2017 7:12 pm

creating a sketch gives this message:

Code: Select all

FC++ exception thrown (Access violation - no RTTI data!)Traceback (most recent call last):
  File "<string>", line 1, in <module>
<class 'Base.FreeCADError'>: FC++ exception thrown (Access violation - no RTTI data!)
DeepSOIC
Posts: 4670
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ana(conda) windows packaging

Postby DeepSOIC » Mon Mar 27, 2017 8:20 pm

Giving it a try.
So far...
initConda - command not found... But I started the terminal from Start menu, "Anaconda prompt". Maybe that's why...
now its downloading stuff which looks familiar... occt, qt, vtk, freecad...
User avatar
Kunda1
Posts: 659
Joined: Thu Jan 05, 2017 9:03 pm

Re: ana(conda) windows packaging

Postby Kunda1 » Mon Mar 27, 2017 8:27 pm

Is there a way to tell FC that it was built with anaconda ? I'm trying to ascertain how to do this with appimages (issue #2987)
DeepSOIC
Posts: 4670
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ana(conda) windows packaging

Postby DeepSOIC » Mon Mar 27, 2017 8:29 pm

Unfortunately it failed :cry:
Complete cmd log follows, I don't know what to do next.

Code: Select all

(T:\Miniconda3) C:\Users\User>python
Python 3.6.0 |Continuum Analytics, Inc.| (default, Dec 23 2016, 11:57:41) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> exit()

(T:\Miniconda3) C:\Users\User>conda config --add conda-forge
usage: conda-script.py config [-h] [--json] [--debug] [--verbose]
                              [--system | --file FILE]
                              (--show | --show-sources | --validate | --get [KEY [KEY ...]] | --append KEY VALUE | --prepend KEY VALUE | --set KEY VALUE | --remove KEY VALUE | --remove-key KEY)
                              [-f]
conda-script.py config: error: argument --prepend/--add: expected 2 arguments

(T:\Miniconda3) C:\Users\User>conda config --add channels conda-forge

(T:\Miniconda3) C:\Users\User>conda config --add channels defaults
Warning: 'defaults' already in 'channels' list, moving to the top

(T:\Miniconda3) C:\Users\User>conda config --add channels freecad

(T:\Miniconda3) C:\Users\User>initConda
"initConda" не является внутренней или внешней
командой, исполняемой программой или пакетным файлом.

(T:\Miniconda3) C:\Users\User>conda create -n fc_test freecad
Fetching package metadata ...............
Solving package specifications: .

Package plan for installation in environment T:\Miniconda3\envs\fc_test:

The following NEW packages will be INSTALLED:

    boost:           1.63.0-np111py35_vc14_6 conda-forge [vc14          ]
    boost-cpp:       1.63.0-vc14_2           conda-forge [vc14          ]
    coin3d:          4.0.0-py35_vc14_3       freecad     [vc14          ]
    cycler:          0.10.0-py35_0
    expat:           2.1.0-vc14_2            conda-forge [vc14          ]
    freecad:         0.17-py35_4             freecad
    freetype:        2.7-vc14_1              conda-forge [vc14          ]
    future:          0.16.0-py35_1
    hdf5:            1.8.17-vc14_0                       [vc14          ]
    icu:             58.1-vc14_1             conda-forge [vc14          ]
    jpeg:            9b-vc14_0                           [vc14          ]
    libiconv:        1.14-vc14_0                         [vc14          ]
    libmed:          3.1.0-py35_vc14_3       freecad     [vc14          ]
    libpng:          1.6.28-vc14_0           conda-forge [vc14          ]
    libtiff:         4.0.6-vc14_3                        [vc14          ]
    libxml2:         2.9.4-vc14_4            conda-forge [vc14          ]
    libxslt:         1.1.29-vc14_3           conda-forge [vc14          ]
    matplotlib:      1.5.1-np111py35_0
    mkl:             2017.0.1-0
    netgen:          6.2-py35_vc14_2         freecad     [vc14          ]
    numpy:           1.11.3-py35_0
    occt:            7.1.0-occt7.1.0_vc14_1  conda-forge [occt7.1.0 vc14]
    openssl:         1.0.2k-vc14_0                       [vc14          ]
    pip:             9.0.1-py35_1
    pivy:            0.6.0-py35_vc14_4       freecad     [vc14          ]
    pyparsing:       2.1.4-py35_0
    pyqt:            4.11.4-py35_7
    pyside:          1.2.4-py35_vc14_6       conda-forge [vc14          ]
    python:          3.5.3-0
    python-dateutil: 2.6.0-py35_0
    pytz:            2016.10-py35_0
    qt:              4.8.7-vc14_7            conda-forge [vc14          ]
    setuptools:      27.2.0-py35_1
    sip:             4.18-py35_0
    six:             1.10.0-py35_0
    tk:              8.5.18-vc14_0                       [vc14          ]
    vc:              14-0
    vs2015_runtime:  14.0.25123-0
    vtk:             7.1.0-py35_vc14_3       freecad     [vc14          ]
    wheel:           0.29.0-py35_0
    xerces-c:        3.1.4-vc14_0                        [vc14          ]
    zlib:            1.2.8-vc14_3                        [vc14          ]

Proceed ([y]/n)? y

mkl-2017.0.1-0 100% |###############################| Time: 0:00:49   2.73 MB/s
expat-2.1.0-vc 100% |###############################| Time: 0:00:00 121.49 kB/s
jpeg-9b-vc14_0 100% |###############################| Time: 0:00:00   3.64 MB/s
libiconv-1.14- 100% |###############################| Time: 0:00:00 897.73 kB/s
python-3.5.3-0 100% |###############################| Time: 0:00:11   2.80 MB/s
tk-8.5.18-vc14 100% |###############################| Time: 0:00:00   3.45 MB/s
vc-14-0.tar.bz 100% |###############################| Time: 0:00:00 281.14 kB/s
xerces-c-3.1.4 100% |###############################| Time: 0:00:01   1.18 MB/s
zlib-1.2.8-vc1 100% |###############################| Time: 0:00:00 497.08 kB/s
boost-cpp-1.63 100% |###############################| Time: 0:00:10   2.78 MB/s
future-0.16.0- 100% |###############################| Time: 0:00:00   2.42 MB/s
hdf5-1.8.17-vc 100% |###############################| Time: 0:00:03   4.14 MB/s
icu-58.1-vc14_ 100% |###############################| Time: 0:00:07   2.96 MB/s
libpng-1.6.28- 100% |###############################| Time: 0:00:00   2.37 MB/s
libtiff-4.0.6- 100% |###############################| Time: 0:00:00   2.72 MB/s
libxml2-2.9.4- 100% |###############################| Time: 0:00:01   3.01 MB/s
numpy-1.11.3-p 100% |###############################| Time: 0:00:00   4.42 MB/s
pyparsing-2.1. 100% |###############################| Time: 0:00:00 135.66 kB/s
pytz-2016.10-p 100% |###############################| Time: 0:00:00   2.42 MB/s
setuptools-27. 100% |###############################| Time: 0:00:00   1.81 MB/s
sip-4.18-py35_ 100% |###############################| Time: 0:00:00   2.08 MB/s
six-1.10.0-py3 100% |###############################| Time: 0:00:00   5.45 MB/s
wheel-0.29.0-p 100% |###############################| Time: 0:00:00   3.54 MB/s
boost-1.63.0-n 100% |###############################| Time: 0:00:01 859.48 kB/s
coin3d-4.0.0-p 100% |###############################| Time: 0:00:02   1.44 MB/s
cycler-0.10.0- 100% |###############################| Time: 0:00:00   5.50 MB/s
freetype-2.7-v 100% |###############################| Time: 0:00:03 114.52 kB/s
libmed-3.1.0-p 100% |###############################| Time: 0:00:02   1.17 MB/s
libxslt-1.1.29 100% |###############################| Time: 0:00:00   1.30 MB/s
pip-9.0.1-py35 100% |###############################| Time: 0:00:00   1.88 MB/s
python-dateuti 100% |###############################| Time: 0:00:00   3.44 MB/s
qt-4.8.7-vc14_ 100% |###############################| Time: 0:00:12   4.31 MB/s
occt-7.1.0-occ 100% |###############################| Time: 0:00:07   5.12 MB/s
pivy-0.6.0-py3 100% |###############################| Time: 0:00:01   2.00 MB/s
pyqt-4.11.4-py 100% |###############################| Time: 0:00:01   2.11 MB/s
pyside-1.2.4-p 100% |###############################| Time: 0:00:02   2.06 MB/s
vtk-7.1.0-py35 100% |###############################| Time: 0:00:17   1.67 MB/s
matplotlib-1.5 100% |###############################| Time: 0:00:02   2.86 MB/s
netgen-6.2-py3 100% |###############################| Time: 0:00:02 705.00 kB/s
freecad-0.17-p 100% |###############################| Time: 0:00:10   3.57 MB/s
ERROR conda.core.link:_execute_actions(330): An error occurred while installing package 'conda-forge::qt-4.8.7-vc14_7'.
UnicodeDecodeError('utf-8', b'\x91\xaa\xae\xaf\xa8\xe0\xae\xa2\xa0\xad\xae \xe4\xa0\xa9\xab\xae\xa2:         1.\r\n', 0, 1, 'invalid start byte')
Attempting to roll back.



UnicodeDecodeError('utf-8', b'\x91\xaa\xae\xaf\xa8\xe0\xae\xa2\xa0\xad\xae \xe4\xa0\xa9\xab\xae\xa2:         1.\r\n', 0, 1, 'invalid start byte')



(T:\Miniconda3) C:\Users\User>conda create -n fc_test freecad


CondaValueError: Value error: prefix already exists: T:\Miniconda3\envs\fc_test



(T:\Miniconda3) C:\Users\User>
User avatar
sgrogan
Posts: 3042
Joined: Wed Oct 22, 2014 5:02 pm

Re: ana(conda) windows packaging

Postby sgrogan » Mon Mar 27, 2017 8:37 pm

looo wrote:creating a sketch gives this message:

I get the exact same error with the existing libpack and VS2013 only updating with OCCT7.1 using your patch. So I guess it's more Win specific problems with upgrading to OCCT7.1
Kunda1 wrote:Is there a way to tell FC that it was built with anaconda ? I'm trying to ascertain how to do this with appimages (issue #2987)

We will need to edit version.h after running cmake in the appimage recipe.
I've thought of the same for the travis builds,PPA, win builds as well.
looo
Posts: 764
Joined: Mon Nov 11, 2013 5:29 pm

Re: ana(conda) windows packaging

Postby looo » Mon Mar 27, 2017 9:21 pm

@DeepSoic: Are there any non-ascii characters in the path to Miniconda?
see for example here: https://pastebin.com/CeU0kFhf
DeepSOIC
Posts: 4670
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ana(conda) windows packaging

Postby DeepSOIC » Mon Mar 27, 2017 9:30 pm

looo wrote:@DeepSoic: Are there any non-ascii characters in the path to Miniconda?
Nope, it's T:\Miniconda3
I think i'm gonna try moving miniconda into a deeper location in file system.... EDIT: done, doesn't help.
DeepSOIC
Posts: 4670
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ana(conda) windows packaging

Postby DeepSOIC » Mon Mar 27, 2017 9:53 pm

I managed to decrypt the string. It says:
"Скопировано файлов: 1"
Which in English means "Files copied: 1"
This doesn't look like an error string. I think this is fundamentally related to the fact I have a russian version of Windows. Is all hope lost?
DeepSOIC
Posts: 4670
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: ana(conda) windows packaging

Postby DeepSOIC » Mon Mar 27, 2017 9:59 pm

Hopefully this will help.

Code: Select all

`$ T:\Py\Miniconda3\Scripts\conda-script.py install -n fc_test freecad --verbose`




    Traceback (most recent call last):
      File "T:\Py\Miniconda3\lib\site-packages\conda\core\link.py", line 320, in _execute_actions
        run_script(target_prefix, Dist(pkg_data), 'post-unlink' if is_unlink else 'post-link')
      File "T:\Py\Miniconda3\lib\site-packages\conda\core\link.py", line 491, in run_script
        subprocess_call(command_args, env=env)
      File "T:\Py\Miniconda3\lib\site-packages\conda\gateways\subprocess.py", line 62, in subprocess_call
        return Response(ensure_text_type(stdout), ensure_text_type(stderr), int(rc))
      File "T:\Py\Miniconda3\lib\site-packages\conda\common\compat.py", line 155, in ensure_text_type
        return value.decode('utf-8') if hasattr(value, 'decode') else value
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0x91 in position 0: invalid start byte

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "T:\Py\Miniconda3\lib\site-packages\conda\core\link.py", line 273, in execute
        pkg_data, actions)
      File "T:\Py\Miniconda3\lib\site-packages\conda\core\link.py", line 337, in _execute_actions
        reverse_excs,
    conda.CondaMultiError: 'utf-8' codec can't decode byte 0x91 in position 0: invalid start byte


    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "T:\Py\Miniconda3\lib\site-packages\conda\exceptions.py", line 616, in conda_exception_handler
        return_value = func(*args, **kwargs)
      File "T:\Py\Miniconda3\lib\site-packages\conda\cli\main.py", line 137, in _main
        exit_code = args.func(args, p)
      File "T:\Py\Miniconda3\lib\site-packages\conda\cli\main_install.py", line 80, in execute
        install(args, parser, 'install')
      File "T:\Py\Miniconda3\lib\site-packages\conda\cli\install.py", line 359, in install
        execute_actions(actions, index, verbose=not context.quiet)
      File "T:\Py\Miniconda3\lib\site-packages\conda\plan.py", line 825, in execute_actions
        execute_instructions(plan, index, verbose)
      File "T:\Py\Miniconda3\lib\site-packages\conda\instructions.py", line 258, in execute_instructions
        cmd(state, arg)
      File "T:\Py\Miniconda3\lib\site-packages\conda\instructions.py", line 119, in UNLINKLINKTRANSACTION_CMD
        txn.execute()
      File "T:\Py\Miniconda3\lib\site-packages\conda\core\link.py", line 289, in execute
        rollback_excs,
    conda.CondaMultiError: 'utf-8' codec can't decode byte 0x91 in position 0: invalid start byte



(T:\Py\Miniconda3) T:\Py\Miniconda3>

EDIT: and the "decryptor" said it did this conversion to recover the message: ISO-8859-1 → CP866 . I'm not sure what of this is the actual encoding of the original text.
peterl94
Posts: 662
Joined: Thu May 23, 2013 7:31 pm
Location: United States

Re: ana(conda) windows packaging

Postby peterl94 » Mon Mar 27, 2017 10:07 pm

It looks like this has been fixed recently. See: https://github.com/conda/conda/issues/4567#issuecomment-279914823